@import "../scss/variables";

.center {
  width: 1300px;
}

.left {
  flex: 0 0 25rem;
}

ul.checkmark {
  li {
    font-size: 16px;
    margin-bottom: 2em;
    list-style-type: none;
    padding: 0.25em 0 0 3em;
    position: relative;

    &.default:after {
      content: ' ';
      border: 2px solid $black-100;
      border-radius: 0.5em;
      height: 1em;
      width: 1em;
      position: absolute;
      left: 0.8em;
      top: 30%;
    }

    &.default:not(:first-child):before {
      content: ' ';
      width: 1px;
      height: 1.4em;
      background: $black-100;
      position: absolute;
      left: 1.2em;
      top: -87%;
    }

    &.default.current:before {
      background: $black-900;
    }

    &.current:after {
      border-color: $black-900;
      background-color: $black-900;
    }

    &.checked:before {
      content: ' ';
      display: block;
      border: solid 0.9em #D9D9D9;
      border-radius: 0.9em;
      height: 0;
      width: 0;
      position: absolute;
      left: 0.4em;
      top: 6%;
    }

    &.checked:after {
      content: ' ';
      display: block;
      width: 1em;
      height: 1em;
      position: absolute;
      left: 0.8em;
      top: 47%;
      margin-top: -0.2em;
      background: url('../images/marker.svg') no-repeat;
    }

  }

}

/*  Evidence requester  */

ul {
  &.metro-line {
    margin: 2rem 0 3rem;

    li {
      list-style-type: none;
      font-size: 1.1em;
      position: relative;
      min-width: 7%;
      /*
            &:after {
              content: ' ';
              width: 1.4em;
              height: 1rem;
              background: $black-100;
              position: absolute;
              left: 1.2em;
              top: 0;
            }*/

      &.current {
        font-weight: bold;
        color: $black-900;

        span {
          color: $black-900;
        }
      }

      span {
        background: $black-10;
        width: 2em;
        display: inline-block;
        height: 2em;
        text-align: center;
        line-height: 2;
        border-radius: 1em;
        font-size: .9em;
      }

      hr {
        color: $black-200;
      }
    }
  }

}

/*vertical metro-line*/

ul {
  &.v-metro-line {
    margin: 2rem 0;

    li {
      list-style-type: none;
      font-size: 1.1em;
      position: relative;
      min-width: 7%;
      margin-bottom: 1rem;
      /*
            &:after {
              content: ' ';
              width: 1.4em;
              height: 1rem;
              background: $black-100;
              position: absolute;
              left: 1.2em;
              top: 0;
            }*/

      &.current {
        color: $black-900;
        font-family: $font-medium;

        span {
          color: $black-900;
        }

        &:before {
          content: " ";
          border-radius: 0.5em;
          height: .7em;
          width: .7em;
          position: absolute;
          left: -1.3em;
          top: 0.4rem;
          background-color: #001832;
        }
      }

      &.previous {
        color: $black-100;
        font-family: $font-regular;

        &:before {

        }
      }

      span {
        /*//background: $black-10;
        width: 2em;
        display: inline-block;
        height: 2em;
        text-align: center;
        line-height: 2;
        border-radius: 1em;
        font-size: .9em;*/
      }

      hr {
        color: $black-200;
      }
    }

    .sub-list {
      padding-left: 1rem;

      li {
        font-style: italic;
        background: url('../images/check_small.svg') no-repeat left 0;
        padding-left: 1.5rem;
        font-family: $font-regular;
        font-size: .9rem;
      }
    }

  }

}

.divider {
  &.or {
    position: relative;
    width: 100%;
    color: #A4A4A4;
    text-align: center;
    left: auto;
    right: auto;

    p {
      position: relative;
      left: auto;
      right: auto;
      width: 100%;
      height: 100%;
      color: $black-300;
      font-size: 1.3em;

      &:before, &:after {
        content: ' ';
        position: absolute;
        left: 0;
        width: 40%;
        height: 1px;
        top: 57%;
        border-top: 1px solid $black-50;
        border-left: 1px solid $black-50;
      }

      &:after {
        left: 60%;
      }
    }
  }
}

.info-absolute {
  position: absolute;
  right: -0.4rem;
  top: 0.5rem;
  width: 1.4rem;
  height: 1.4rem;
  border-radius: 50%;
  border: 2px solid $oots-blue;
  color: $oots-blue;
  line-height: 1.3;
  cursor: pointer;
  text-decoration: none;
}

ul.checkmark {
  display: flex;
  justify-content: center;
  gap: 2rem;
}

ul.checkmark li {
  margin: 0;
}

ul.checkmark li:nth-child(2) {

}

ul.checkmark li.default.current:before {
  content: none;
}

ul.checkmark li.default:not(:first-child):before {
  content: none;
}

ul.checkmark li.checked:before {
  content: none;
}

@media only screen and (max-width: 600px) {
  ul.checkmark {
    flex-direction: column;
  }
  .navbar {
    background: #fff;
  }
}

/*popover*/
.popover {
  border: 3px solid $oots-blue;
}

.popover-header {
  border: none;
  background: none;
  color: $oots-blue;
  padding: 1rem 1rem 0;
  font-family: "EC Square Sans Pro Bold"
}

.bs-popover-auto[data-popper-placement^=top] > .popover-arrow::after, .bs-popover-top > .popover-arrow::after {
  border-top-color: $oots-blue;
}

#evidence-name {
  display: flex;
  align-items: center;
  margin-bottom: 1rem;
}

/*Intro pages*/

.landing-wrapper {
  > div {
    flex: 1 1 0;
    display: flex;
    flex-flow: column;
  }

  h5 {
    font-size: 2em;

    img {
      margin-right: .5rem;
    }
  }

}

.intro-btn-wrapper {
  display: flex;
  justify-content: center;
}

.rotate {
  transform: rotate(180deg);
}

.visibility {
  float: right;
  margin-left: -25px;
  margin-top: -25px;
  margin-right: 10px;
  position: relative;
  z-index: 2;
  background: url("../images/visibility.svg") no-repeat;
  width: 22px;
  height: 16px;
}

.info-icon {
  width: 1.3rem;
  height: 1.3rem;
  text-align: center;
  border: 2px solid;
  border-radius: 1rem;
  line-height: 1.3rem;
  font-weight: bold;
  font-size: 1em;
}
